---
title: "Links the receipt of one of the customer's paid orders, a link that expires."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo customer API › order

`GET /v1/stores/{store}/orders/{order}/receipt`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `read`

## Path parameters

- `store` (`getOrderReceipt.path.store`; string, required) — A hostname of the store.
- `order` (`getOrderReceipt.path.order`; string, required)
  - minLength 1

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/customer/v1/stores/<store>/orders/<order>/receipt' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/customer/v1/stores/<store>/orders/<order>/receipt';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/customer/v1/stores/<store>/orders/<order>/receipt"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Links the receipt of one of the customer's paid orders, a link that expires.

#### Example

```json
{
  "url": "string"
}
```

- `url` (`getOrderReceipt.response.200.url`; string, required)

### default

A problem; see https://api.sherpo.io/customer/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`getOrderReceipt.response.default.type`; string, required)
  - format `uri`
- `title` (`getOrderReceipt.response.default.title`; string, required)
- `status` (`getOrderReceipt.response.default.status`; integer, required)
- `detail` (`getOrderReceipt.response.default.detail`; string, required)
- `code` (`getOrderReceipt.response.default.code`; string, optional)
- `context` (`getOrderReceipt.response.default.context`; object, optional)
- `reached_core` (`getOrderReceipt.response.default.reached_core`; boolean, optional)
- `core_answer` (`getOrderReceipt.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/customer-api/reference/get-order-receipt/index.md
